Index: /XIOS/trunk/src/interface/fortran_attr/iaxis_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/iaxis_attr.F90	(revision 431)
+++ /XIOS/trunk/src/interface/fortran_attr/iaxis_attr.F90	(revision 432)
@@ -229,3 +229,152 @@
   END SUBROUTINE xios(get_axis_attr_hdl_)
   
+  SUBROUTINE xios(is_defined_axis_attr)  &
+    ( axis_id, long_name, name, positive, size, standard_name, unit, value, zoom_begin, zoom_end  &
+    , zoom_size )
+    
+    IMPLICIT NONE
+      TYPE(txios(axis))  :: axis_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::axis_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: long_name
+      LOGICAL(KIND=C_BOOL) :: long_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: name
+      LOGICAL(KIND=C_BOOL) :: name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: positive
+      LOGICAL(KIND=C_BOOL) :: positive_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: size
+      LOGICAL(KIND=C_BOOL) :: size_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name
+      LOGICAL(KIND=C_BOOL) :: standard_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: unit
+      LOGICAL(KIND=C_BOOL) :: unit_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: value
+      LOGICAL(KIND=C_BOOL) :: value_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_begin
+      LOGICAL(KIND=C_BOOL) :: zoom_begin_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_end
+      LOGICAL(KIND=C_BOOL) :: zoom_end_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_size
+      LOGICAL(KIND=C_BOOL) :: zoom_size_tmp
+      
+      CALL xios(get_axis_handle)(axis_id,axis_hdl)
+      CALL xios(is_defined_axis_attr_hdl_)   &
+      ( axis_hdl, long_name, name, positive, size, standard_name, unit, value, zoom_begin, zoom_end  &
+      , zoom_size )
+    
+  END SUBROUTINE xios(is_defined_axis_attr)
+  
+  SUBROUTINE xios(is_defined_axis_attr_hdl)  &
+    ( axis_hdl, long_name, name, positive, size, standard_name, unit, value, zoom_begin, zoom_end  &
+    , zoom_size )
+    
+    IMPLICIT NONE
+      TYPE(txios(axis)) , INTENT(IN) :: axis_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: long_name
+      LOGICAL(KIND=C_BOOL) :: long_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: name
+      LOGICAL(KIND=C_BOOL) :: name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: positive
+      LOGICAL(KIND=C_BOOL) :: positive_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: size
+      LOGICAL(KIND=C_BOOL) :: size_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name
+      LOGICAL(KIND=C_BOOL) :: standard_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: unit
+      LOGICAL(KIND=C_BOOL) :: unit_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: value
+      LOGICAL(KIND=C_BOOL) :: value_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_begin
+      LOGICAL(KIND=C_BOOL) :: zoom_begin_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_end
+      LOGICAL(KIND=C_BOOL) :: zoom_end_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_size
+      LOGICAL(KIND=C_BOOL) :: zoom_size_tmp
+      
+      CALL xios(is_defined_axis_attr_hdl_)  &
+      ( axis_hdl, long_name, name, positive, size, standard_name, unit, value, zoom_begin, zoom_end  &
+      , zoom_size )
+    
+  END SUBROUTINE xios(is_defined_axis_attr_hdl)
+  
+  SUBROUTINE xios(is_defined_axis_attr_hdl_)   &
+    ( axis_hdl, long_name_, name_, positive_, size_, standard_name_, unit_, value_, zoom_begin_  &
+    , zoom_end_, zoom_size_ )
+    
+    IMPLICIT NONE
+      TYPE(txios(axis)) , INTENT(IN) :: axis_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: long_name_
+      LOGICAL(KIND=C_BOOL) :: long_name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: name_
+      LOGICAL(KIND=C_BOOL) :: name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: positive_
+      LOGICAL(KIND=C_BOOL) :: positive__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: size_
+      LOGICAL(KIND=C_BOOL) :: size__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name_
+      LOGICAL(KIND=C_BOOL) :: standard_name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: unit_
+      LOGICAL(KIND=C_BOOL) :: unit__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: value_
+      LOGICAL(KIND=C_BOOL) :: value__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_begin_
+      LOGICAL(KIND=C_BOOL) :: zoom_begin__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_end_
+      LOGICAL(KIND=C_BOOL) :: zoom_end__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_size_
+      LOGICAL(KIND=C_BOOL) :: zoom_size__tmp
+      
+      IF (PRESENT(long_name_)) THEN
+        long_name__tmp=cxios_is_defined_axis_long_name(axis_hdl%daddr)
+        long_name_=long_name__tmp
+      ENDIF
+      
+      IF (PRESENT(name_)) THEN
+        name__tmp=cxios_is_defined_axis_name(axis_hdl%daddr)
+        name_=name__tmp
+      ENDIF
+      
+      IF (PRESENT(positive_)) THEN
+        positive__tmp=cxios_is_defined_axis_positive(axis_hdl%daddr)
+        positive_=positive__tmp
+      ENDIF
+      
+      IF (PRESENT(size_)) THEN
+        size__tmp=cxios_is_defined_axis_size(axis_hdl%daddr)
+        size_=size__tmp
+      ENDIF
+      
+      IF (PRESENT(standard_name_)) THEN
+        standard_name__tmp=cxios_is_defined_axis_standard_name(axis_hdl%daddr)
+        standard_name_=standard_name__tmp
+      ENDIF
+      
+      IF (PRESENT(unit_)) THEN
+        unit__tmp=cxios_is_defined_axis_unit(axis_hdl%daddr)
+        unit_=unit__tmp
+      ENDIF
+      
+      IF (PRESENT(value_)) THEN
+        value__tmp=cxios_is_defined_axis_value(axis_hdl%daddr)
+        value_=value__tmp
+      ENDIF
+      
+      IF (PRESENT(zoom_begin_)) THEN
+        zoom_begin__tmp=cxios_is_defined_axis_zoom_begin(axis_hdl%daddr)
+        zoom_begin_=zoom_begin__tmp
+      ENDIF
+      
+      IF (PRESENT(zoom_end_)) THEN
+        zoom_end__tmp=cxios_is_defined_axis_zoom_end(axis_hdl%daddr)
+        zoom_end_=zoom_end__tmp
+      ENDIF
+      
+      IF (PRESENT(zoom_size_)) THEN
+        zoom_size__tmp=cxios_is_defined_axis_zoom_size(axis_hdl%daddr)
+        zoom_size_=zoom_size__tmp
+      ENDIF
+      
+      
+    
+  END SUBROUTINE xios(is_defined_axis_attr_hdl_)
+  
 END MODULE iaxis_attr
Index: /XIOS/trunk/src/interface/fortran_attr/iaxisgroup_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/iaxisgroup_attr.F90	(revision 431)
+++ /XIOS/trunk/src/interface/fortran_attr/iaxisgroup_attr.F90	(revision 432)
@@ -243,3 +243,163 @@
   END SUBROUTINE xios(get_axisgroup_attr_hdl_)
   
+  SUBROUTINE xios(is_defined_axisgroup_attr)  &
+    ( axisgroup_id, group_ref, long_name, name, positive, size, standard_name, unit, value, zoom_begin  &
+    , zoom_end, zoom_size )
+    
+    IMPLICIT NONE
+      TYPE(txios(axisgroup))  :: axisgroup_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::axisgroup_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref
+      LOGICAL(KIND=C_BOOL) :: group_ref_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: long_name
+      LOGICAL(KIND=C_BOOL) :: long_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: name
+      LOGICAL(KIND=C_BOOL) :: name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: positive
+      LOGICAL(KIND=C_BOOL) :: positive_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: size
+      LOGICAL(KIND=C_BOOL) :: size_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name
+      LOGICAL(KIND=C_BOOL) :: standard_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: unit
+      LOGICAL(KIND=C_BOOL) :: unit_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: value
+      LOGICAL(KIND=C_BOOL) :: value_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_begin
+      LOGICAL(KIND=C_BOOL) :: zoom_begin_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_end
+      LOGICAL(KIND=C_BOOL) :: zoom_end_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_size
+      LOGICAL(KIND=C_BOOL) :: zoom_size_tmp
+      
+      CALL xios(get_axisgroup_handle)(axisgroup_id,axisgroup_hdl)
+      CALL xios(is_defined_axisgroup_attr_hdl_)   &
+      ( axisgroup_hdl, group_ref, long_name, name, positive, size, standard_name, unit, value, zoom_begin  &
+      , zoom_end, zoom_size )
+    
+  END SUBROUTINE xios(is_defined_axisgroup_attr)
+  
+  SUBROUTINE xios(is_defined_axisgroup_attr_hdl)  &
+    ( axisgroup_hdl, group_ref, long_name, name, positive, size, standard_name, unit, value, zoom_begin  &
+    , zoom_end, zoom_size )
+    
+    IMPLICIT NONE
+      TYPE(txios(axisgroup)) , INTENT(IN) :: axisgroup_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref
+      LOGICAL(KIND=C_BOOL) :: group_ref_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: long_name
+      LOGICAL(KIND=C_BOOL) :: long_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: name
+      LOGICAL(KIND=C_BOOL) :: name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: positive
+      LOGICAL(KIND=C_BOOL) :: positive_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: size
+      LOGICAL(KIND=C_BOOL) :: size_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name
+      LOGICAL(KIND=C_BOOL) :: standard_name_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: unit
+      LOGICAL(KIND=C_BOOL) :: unit_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: value
+      LOGICAL(KIND=C_BOOL) :: value_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_begin
+      LOGICAL(KIND=C_BOOL) :: zoom_begin_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_end
+      LOGICAL(KIND=C_BOOL) :: zoom_end_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_size
+      LOGICAL(KIND=C_BOOL) :: zoom_size_tmp
+      
+      CALL xios(is_defined_axisgroup_attr_hdl_)  &
+      ( axisgroup_hdl, group_ref, long_name, name, positive, size, standard_name, unit, value, zoom_begin  &
+      , zoom_end, zoom_size )
+    
+  END SUBROUTINE xios(is_defined_axisgroup_attr_hdl)
+  
+  SUBROUTINE xios(is_defined_axisgroup_attr_hdl_)   &
+    ( axisgroup_hdl, group_ref_, long_name_, name_, positive_, size_, standard_name_, unit_, value_  &
+    , zoom_begin_, zoom_end_, zoom_size_ )
+    
+    IMPLICIT NONE
+      TYPE(txios(axisgroup)) , INTENT(IN) :: axisgroup_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref_
+      LOGICAL(KIND=C_BOOL) :: group_ref__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: long_name_
+      LOGICAL(KIND=C_BOOL) :: long_name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: name_
+      LOGICAL(KIND=C_BOOL) :: name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: positive_
+      LOGICAL(KIND=C_BOOL) :: positive__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: size_
+      LOGICAL(KIND=C_BOOL) :: size__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: standard_name_
+      LOGICAL(KIND=C_BOOL) :: standard_name__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: unit_
+      LOGICAL(KIND=C_BOOL) :: unit__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: value_
+      LOGICAL(KIND=C_BOOL) :: value__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_begin_
+      LOGICAL(KIND=C_BOOL) :: zoom_begin__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_end_
+      LOGICAL(KIND=C_BOOL) :: zoom_end__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: zoom_size_
+      LOGICAL(KIND=C_BOOL) :: zoom_size__tmp
+      
+      IF (PRESENT(group_ref_)) THEN
+        group_ref__tmp=cxios_is_defined_axisgroup_group_ref(axisgroup_hdl%daddr)
+        group_ref_=group_ref__tmp
+      ENDIF
+      
+      IF (PRESENT(long_name_)) THEN
+        long_name__tmp=cxios_is_defined_axisgroup_long_name(axisgroup_hdl%daddr)
+        long_name_=long_name__tmp
+      ENDIF
+      
+      IF (PRESENT(name_)) THEN
+        name__tmp=cxios_is_defined_axisgroup_name(axisgroup_hdl%daddr)
+        name_=name__tmp
+      ENDIF
+      
+      IF (PRESENT(positive_)) THEN
+        positive__tmp=cxios_is_defined_axisgroup_positive(axisgroup_hdl%daddr)
+        positive_=positive__tmp
+      ENDIF
+      
+      IF (PRESENT(size_)) THEN
+        size__tmp=cxios_is_defined_axisgroup_size(axisgroup_hdl%daddr)
+        size_=size__tmp
+      ENDIF
+      
+      IF (PRESENT(standard_name_)) THEN
+        standard_name__tmp=cxios_is_defined_axisgroup_standard_name(axisgroup_hdl%daddr)
+        standard_name_=standard_name__tmp
+      ENDIF
+      
+      IF (PRESENT(unit_)) THEN
+        unit__tmp=cxios_is_defined_axisgroup_unit(axisgroup_hdl%daddr)
+        unit_=unit__tmp
+      ENDIF
+      
+      IF (PRESENT(value_)) THEN
+        value__tmp=cxios_is_defined_axisgroup_value(axisgroup_hdl%daddr)
+        value_=value__tmp
+      ENDIF
+      
+      IF (PRESENT(zoom_begin_)) THEN
+        zoom_begin__tmp=cxios_is_defined_axisgroup_zoom_begin(axisgroup_hdl%daddr)
+        zoom_begin_=zoom_begin__tmp
+      ENDIF
+      
+      IF (PRESENT(zoom_end_)) THEN
+        zoom_end__tmp=cxios_is_defined_axisgroup_zoom_end(axisgroup_hdl%daddr)
+        zoom_end_=zoom_end__tmp
+      ENDIF
+      
+      IF (PRESENT(zoom_size_)) THEN
+        zoom_size__tmp=cxios_is_defined_axisgroup_zoom_size(axisgroup_hdl%daddr)
+        zoom_size_=zoom_size__tmp
+      ENDIF
+      
+      
+    
+  END SUBROUTINE xios(is_defined_axisgroup_attr_hdl_)
+  
 END MODULE iaxisgroup_attr
Index: /XIOS/trunk/src/interface/fortran_attr/icontext_attr.F90
===================================================================
--- /XIOS/trunk/src/interface/fortran_attr/icontext_attr.F90	(revision 431)
+++ /XIOS/trunk/src/interface/fortran_attr/icontext_attr.F90	(revision 432)
@@ -149,3 +149,92 @@
   END SUBROUTINE xios(get_context_attr_hdl_)
   
+  SUBROUTINE xios(is_defined_context_attr)  &
+    ( context_id, calendar_type, output_dir, start_date, time_origin, timestep )
+    
+    IMPLICIT NONE
+      TYPE(txios(context))  :: context_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::context_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: calendar_type
+      LOGICAL(KIND=C_BOOL) :: calendar_type_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: output_dir
+      LOGICAL(KIND=C_BOOL) :: output_dir_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: start_date
+      LOGICAL(KIND=C_BOOL) :: start_date_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: time_origin
+      LOGICAL(KIND=C_BOOL) :: time_origin_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: timestep
+      LOGICAL(KIND=C_BOOL) :: timestep_tmp
+      
+      CALL xios(get_context_handle)(context_id,context_hdl)
+      CALL xios(is_defined_context_attr_hdl_)   &
+      ( context_hdl, calendar_type, output_dir, start_date, time_origin, timestep )
+    
+  END SUBROUTINE xios(is_defined_context_attr)
+  
+  SUBROUTINE xios(is_defined_context_attr_hdl)  &
+    ( context_hdl, calendar_type, output_dir, start_date, time_origin, timestep )
+    
+    IMPLICIT NONE
+      TYPE(txios(context)) , INTENT(IN) :: context_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: calendar_type
+      LOGICAL(KIND=C_BOOL) :: calendar_type_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: output_dir
+      LOGICAL(KIND=C_BOOL) :: output_dir_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: start_date
+      LOGICAL(KIND=C_BOOL) :: start_date_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: time_origin
+      LOGICAL(KIND=C_BOOL) :: time_origin_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: timestep
+      LOGICAL(KIND=C_BOOL) :: timestep_tmp
+      
+      CALL xios(is_defined_context_attr_hdl_)  &
+      ( context_hdl, calendar_type, output_dir, start_date, time_origin, timestep )
+    
+  END SUBROUTINE xios(is_defined_context_attr_hdl)
+  
+  SUBROUTINE xios(is_defined_context_attr_hdl_)   &
+    ( context_hdl, calendar_type_, output_dir_, start_date_, time_origin_, timestep_ )
+    
+    IMPLICIT NONE
+      TYPE(txios(context)) , INTENT(IN) :: context_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: calendar_type_
+      LOGICAL(KIND=C_BOOL) :: calendar_type__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: output_dir_
+      LOGICAL(KIND=C_BOOL) :: output_dir__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: start_date_
+      LOGICAL(KIND=C_BOOL) :: start_date__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: time_origin_
+      LOGICAL(KIND=C_BOOL) :: time_origin__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: timestep_
+      LOGICAL(KIND=C_BOOL) :: timestep__tmp
+      
+      IF (PRESENT(calendar_type_)) THEN
+        calendar_type__tmp=cxios_is_defined_context_calendar_type(context_hdl%daddr)
+        calendar_type_=calendar_type__tmp
+      ENDIF
+      
+      IF (PRESENT(output_dir_)) THEN
+        output_dir__tmp=cxios_is_defined_context_output_dir(context_hdl%daddr)
+        output_dir_=output_dir__tmp
+      ENDIF
+      
+      IF (PRESENT(start_date_)) THEN
+        start_date__tmp=cxios_is_defined_context_start_date(context_hdl%daddr)
+        start_date_=start_date__tmp
+      ENDIF
+      
+      IF (PRESENT(time_origin_)) THEN
+        time_origin__tmp=cxios_is_defined_context_time_origin(context_hdl%daddr)
+        time_origin_=time_origin__tmp
+      ENDIF
+      
+      IF (PRESENT(timestep_)) THEN
+        timestep__tmp=cxios_is_defined_context_timestep(context_hdl%daddr)
+        timestep_=timestep__tmp
+      ENDIF
+      
+      
+    
+  END SUBROUTINE xios(is_defined_context_attr_hdl_)
+  
 END MODULE icontext_attr
